> This page is for Advertising Protection.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.humansecurity.com/llms.txt.

# About the MediaGuard API

The MediaGuard API lets you send pre-bid data to HUMAN and receive IVT predictions accordingly. This HTTP-based API mirrors the core features of our gRPC-based SDK.

The MediaGuard API includes two endpoints:

* The default `/lookup` endpoint expects individual details about a bid request (extracted from an OpenRTB `BidRequest` object) in its request body. MediaGuard analyzes these details and returns an IVT prediction.
* The `/health-check` endpoint checks the status of MediaGuard's servers.

v4 Lookup (`/v4/lookup`) returns IVT plus optional Policy fields. To move from v3 `/lookup` to v4, see [Upgrade to v4 Lookup](/advertising/upgrade-to-v4-lookup).

## Authentication

The MediaGuard API requires request-level authentication using Basic auth. To authenticate a request, provide an `Authorization` header with the value `Basic base64(username:password)`.

For example, if your HUMAN Auth ID is `whiteops` and your HUMAN Auth Key is `secret`, your `Authorization` header should be set to `Basic d2hpdGVvcHM6c2VjcmV0`.

## Using curl

You can use curl to access the MediaGuard APIfor easy testing.  To use CURL with the API and HTTP basic auth, use the following base command:

`curl -u "username:password" -i https://example.prevops.com/endpoint`

## Content types

The API supports both JSON and protobuf encoding. To choose, set the `Content-Type` header to `application/json` or `application/protobuf` as needed. If you don't provide a content type header, the API will default to `application/json`.